FreeMat

- Main Page
- Related Pages

vtkExtractEdges

Section: Visualization Toolkit Graphics Classes

# Usage

vtkExtractEdges is a filter to extract edges from a dataset. Edges are extracted as lines or polylines.

To create an instance of class vtkExtractEdges, simply invoke its constructor as follows

      obj = vtkExtractEdges

# Methods

The class vtkExtractEdges has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkExtractEdges class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkExtractEdges = obj.NewInstance ()`
- `vtkExtractEdges = obj.SafeDownCast (vtkObject o)`
- `obj.SetLocator (vtkIncrementalPointLocator locator)` - Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.
- `vtkIncrementalPointLocator = obj.GetLocator ()` - Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.
- `obj.CreateDefaultLocator ()` - Create default locator. Used to create one when none is specified.
- `long = obj.GetMTime ()` - Return MTime also considering the locator.